unit mfirst;

interface

uses
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Mcombbox, MultLang, Grids, Buttons, ExtCtrls;

type
  TFirstForm = class(TForm)
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    GroupBox1: TGroupBox;
    CheckBox1: TCheckBox;
    Edit1: TEdit;
    BitBtn3: TBitBtn;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    BitBtn4: TBitBtn;
    BitBtn5: TBitBtn;
    CheckBox2: TCheckBox;
    StringGrid1: TStringGrid;
    MultLang1: TMultLang;
    Bevel1: TBevel;
    Label4: TLabel;
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
    procedure MultLang1Translated(Sender: TObject; LanguageName: String;
      Successful: Boolean);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FirstForm: TFirstForm;

implementation

{$R *.DFM}

procedure TFirstForm.FormCreate(Sender: TObject);
begin
  StringGrid1.Cols[0].Add(MultLang1.GetString('Col1'));
  StringGrid1.Cols[1].Add(MultLang1.GetString('Col2'));
  StringGrid1.Cols[2].Add(MultLang1.GetString('Col3'));
end;

procedure TFirstForm.MultLang1Translated(Sender: TObject;
  LanguageName: String; Successful: Boolean);
begin
  StringGrid1.Cols[0].Strings[0]:=MultLang1.GetString('Col1');
  StringGrid1.Cols[1].Strings[0]:=MultLang1.GetString('Col2');
  StringGrid1.Cols[2].Strings[0]:=MultLang1.GetString('Col3');
end;

procedure TFirstForm.Button1Click(Sender: TObject);
begin
  MultLang1.Edit(nil);
end;

end.
